%define ver     4.0.0

Summary: LSB Archive Checking tool
Name: lsb-archk
Version: %ver
Release: 2
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Buildroot: /var/tmp/lsb-archk-root
AutoReqProv: no
Source: lsb-archk-%ver.tar.gz
Requires: lsb-setup
# LSB 3.0 support is different due to differing provides
# use --nodeps or install the 3.0 released package for that
PreReq: lsb >= 3.1

%description
lsbarchk is a development tool used to check a static archive for
suitability for use in an LSB-compliant application. Use of non-LSB
interfaces is flagged; the tool can be told about additional libraries
which are to be linked as part of the final link-edit.

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBARCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} all test

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-archk
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-archk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/lsbarchk
%dir /opt/lsb/doc/lsb-archk
/opt/lsb/doc/lsb-archk/*
/opt/lsb/man/man1/lsbarchk.1

%changelog
* Thu Nov 06 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

* Wed Oct 30 2006 Mats Wichmann <mats@freestandards.org>
- conform more closely to packaging conventions

